package com.supervision.neo4j.domain;

import lombok.Data;
import org.springframework.data.neo4j.core.schema.*;

/**
 * @author qmy
 * @since 2023-10-26
 */
@Data
public class CaseNode {

    @Id
    @GeneratedValue
    private Long id;

    private String name;

    private String nodeType;

    private String recordId;

    private String recordsId;

    private String caseId;

    /**
     * 0抽象图谱， 1案件图谱
     */
    private String picType;

    public CaseNode() {
    }

    public CaseNode(Long id, String name) {
        this.id = id;
        this.name = name;
    }

    public CaseNode(String name, String nodeType, String recordId, String recordsId, String caseId, String picType) {
        this.name = name;
        this.nodeType = nodeType;
        this.recordId = recordId;
        this.recordsId = recordsId;
        this.caseId = caseId;
        this.picType = picType;
    }

    public CaseNode(Long id, String name, String nodeType, String recordId, String caseId, String picType) {
        this.id = id;
        this.name = name;
        this.nodeType = nodeType;
        this.recordId = recordId;
        this.caseId = caseId;
        this.picType = picType;
    }

    public CaseNode( String name, String nodeType, String picType){
        this.name = name;
        this.nodeType = nodeType;
        this.picType = picType;
    }

}
