package com.supervision.neo4j.service;

import com.supervision.common.domain.R;
import com.supervision.neo4j.domain.CaseNode;
import com.supervision.neo4j.domain.Rel;

import java.util.List;

/**
 * @author qmy
 * @since 2023-10-26
 */
public interface Neo4jService {

    CaseNode save(CaseNode caseNode);

    void delNode(Long id);

    void deleteRel(Long relId);

    CaseNode findById(Long id);

    List<CaseNode> findByName(String caseId, String recordId, String nodeType, String name, String picType);
    CaseNode findOneByName(String caseId, String recordId, String nodeType, String name, String picType);

    Rel findRelation(Rel rel);

    Boolean saveRelation(Rel rel);

    R<?> getNode(String picType, String caseId);

    R<?> test();

    void deleteAbstractGraph();

    void createAbstractGraph(String path,String sheetName);
}
