package com.supervision.police.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@TableName(value = "model_record_type")
@Data
public class ModelRecordType implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 笔录类型(总结)
     */
    private String recordType;

    /**
     * 提示词
     */
    @TableField(exist = false)
    private List<NotePrompt> prompts;

    /**
     * 笔录示例
     */
    @TableField(exist = false)
    private List<NoteRecordSplit> records;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */

    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
