package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 拆分后的笔录表
 */
@TableName(value = "note_record_split")
@Data
public class NoteRecordSplit implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 案件id
     */
    private String caseId;

    /**
     * 人员名称
     */
    private String personName;

    /**
     * 笔录名称
     */
    private String noteName;

    /**
     * 问题
     */
    private String question;

    /**
     * 回答
     */
    private String answer;

    /**
     * 笔录类型(总结)
     */
    private String recordType;

    /**
     * 笔录类型id
     */
    @TableField(exist = false)
    private String recordTypeId;

    /**
     * 完整笔录id
     */
    private String noteRecordsId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */

    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
