package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@TableName(value = "triple_info")
@Data
public class TripleInfo implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 开始节点
     */
    private String startNode;

    /**
     * 结束节点
     */
    private String endNode;

    /**
     * 关系
     */
    private String relation;

    /**
     * 笔录片段id
     */
    private String noteRecordId;

    @TableField(exist = false)
    private String noteRecordsId;

    /**
     * 案件id
     */
    @TableField(exist = false)
    private String caseId;

    /**
     * 是否生成图谱
     */
    private String addNeo4j;

    /**
     * 开始节点类型(neo4j节点类型)
     */
    private String startNodeType;

    /**
     * 结束节点类型(neo4j节点类型)
     */
    private String endNodeType;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */

    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    public TripleInfo() {
    }

    // todo
    public TripleInfo(String startNode, String endNode, String relation, String noteRecordId, LocalDateTime createTime, String startNodeType, String endNodeType) {
        this.startNode = startNode;
        this.endNode = endNode;
        this.relation = relation;
        this.noteRecordId = noteRecordId;
        this.createTime = createTime;
        this.startNodeType = startNodeType;
        this.endNodeType = endNodeType;
    }

}
