package com.supervision.police.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.ModelAtomicIndex;
import com.supervision.police.mapper.ModelAtomicIndexMapper;

import java.util.List;

public interface ModelAtomicIndexService {

    ModelAtomicIndexMapper getMapper();

    IPage<ModelAtomicIndex> selectAll(IPage<ModelAtomicIndex> iPage,ModelAtomicIndex index);

    List<ModelAtomicIndex> selectByCaseType(String caseType);


    List<ModelAtomicIndex> selectBatchIds(List<String> ids);


    /**
     * 根据案件id和指标来源获取案件原子指标
     * @param indexIdList 原子指标id集合
     * @param caseId 案件id
     * @param indexSource 指标来源
     * @return
     */
    List<ModelAtomicIndex> listCaseAtomicIndex(List<String> indexIdList, String caseId, String indexSource);
}
