package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.ModelAtomicIndex;
import com.supervision.police.domain.ModelIndex;
import com.supervision.police.dto.CaseAtomicIndexDTO;
import com.supervision.police.dto.CaseAtomicResultWrapper;

import java.util.List;

/**
 * 指标表(ModelIndex)表服务接口
 *
 * @author qmy
 * @since 2024-07-05 09:20:10
 */
public interface ModelIndexService extends IService<ModelIndex> {

    R<?> selectAll(ModelIndex modelIndex, Integer page, Integer size);

    R<?> addOrUpd(ModelIndex modelIndex);

    R<?> del(String id);

    R<?> selectAllAtomic(ModelAtomicIndex modelAtomicIndex, Integer page, Integer size);

    R<?> addOrUpdAtomic(ModelAtomicIndex modelAtomicIndex);

    R<?> delAtomic(String id);

    /**
     * 查询案件原子指标列表
     * @param caseId 案件id
     * @param indexSource 指标来源
     * @return
     */
    List<CaseAtomicIndexDTO> listCaseAtomicIndex(String caseId, String indexSource);

    /**
     * 保存案件原子指标评估结果；只用于人工评估结果
     * @param caseAtomicResultWrapper 案件原子指标评估结果包装类
     * @return 保存结果 true:保存成功 false:保存失败
     */
    Boolean saveCaseAtomicResult(CaseAtomicResultWrapper caseAtomicResultWrapper);

}

