package com.supervision.police.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.police.domain.ModelAtomicIndex;
import com.supervision.police.mapper.ModelAtomicIndexMapper;
import com.supervision.police.service.ModelAtomicIndexService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class ModelAtomicIndexServiceImpl extends ServiceImpl<ModelAtomicIndexMapper, ModelAtomicIndex> implements ModelAtomicIndexService {

    @Override
    public ModelAtomicIndexMapper getMapper() {
        return super.getBaseMapper();
    }

    @Override
    public IPage<ModelAtomicIndex> selectAll(IPage<ModelAtomicIndex> iPage, ModelAtomicIndex index) {
        return super.getBaseMapper().selectAll(iPage, index);
    }

    @Override
    public List<ModelAtomicIndex> selectByCaseType(String caseType) {
        return super.getBaseMapper().selectByCaseType(caseType);
    }

    @Override
    public List<ModelAtomicIndex> selectBatchIds(List<String> ids) {
        return super.getBaseMapper().selectBatchIds(ids);
    }

    @Override
    public List<ModelAtomicIndex> listCaseAtomicIndex(List<String> indexIdList, String caseType, String indexSource) {
        return super.getBaseMapper().listCaseAtomicIndex(indexIdList, caseType, indexSource);
    }
}
