package com.supervision.swagger;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenAPIConfig {

    @Value("${sys-common-swagger.enabled:true}")
    private boolean enabled;

    @Value("${sys-common-swagger.base-package:com.sys}")
    private String basePackage;

    @Value("${sys-common-swagger.title:${spring.application.name:}}")
    private String title;

    @Value("${sys-common-swagger.description:${spring.application.name:}}")
    private String description = "接口文档";

    private String version = "1.0.0";

    @Bean
    public OpenAPI OpenAPI() {
        return new OpenAPI().info(new Info()
                        .title(title)
                        .description(description)
                        .version(version));
    }

}
